Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumentfragmentnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumentfragmentnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a DocumentFragment Node is "document-frament".

Retrieve the DOM document and invoke the "createDocumentFragment()" method and check the string returned by the "getNodeName()" method. It should be equal to "document-fragment".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-B63ED1A3

Definition at line 46 of file nodedocumentfragmentnodename.java.

## Constructor & Destructor Documentation

nodedocumentfragmentnodename::nodedocumentfragmentnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file nodedocumentfragmentnodename.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String nodedocumentfragmentnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 64 of file nodedocumentfragmentnodename.java.
    00064                                 {
    00065       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumentfragmentnodename";
    00066    }

void nodedocumentfragmentnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 67 of file nodedocumentfragmentnodename.java. References DOMTestCase::doMain().
    00067                                           {
    00068         DOMTestCase.doMain(nodedocumentfragmentnodename.class,args);
    00069    }

void nodedocumentfragmentnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file nodedocumentfragmentnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       DocumentFragment docFragment;
    00057       String documentFragmentName;
    00058       doc = load("staff");
    00059       docFragment = doc.createDocumentFragment();
    00060       documentFragmentName = docFragment.getNodeName();
    00061       assertEquals("nodeDocumentFragmentNodeNameAssert1","#document-fragment",documentFragmentName);
    00062
    00063    }

The documentation for this class was generated from the following file:

- nodedocumentfragmentnodename.java